org.keycloak.theme

## Class DefaultThemeManager

- java.lang.Object
- - org.keycloak.theme.DefaultThemeManager

- All Implemented Interfaces:
    ThemeManager

      public class DefaultThemeManager
      extends Object
      implements ThemeManager

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultThemeManager(DefaultThemeManagerFactory factory, KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCache()`
    `Theme` | `getTheme(String name, Theme.Type type)` Returns the specified theme for the specified type.
    `Theme` | `getTheme(Theme.Type type)` Returns the theme for the specified type.
    `boolean` | `isCacheEnabled()`
    `Set<String>` | `nameSet(Theme.Type type)` Returns a set of all theme names for the specified type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultThemeManager

          public DefaultThemeManager(DefaultThemeManagerFactory factory,
                                     KeycloakSession session)

  - ### Method Detail

    - #### getTheme

          public Theme getTheme(Theme.Type type)

      Description copied from interface: `ThemeManager`
      Returns the theme for the specified type. The theme is determined by the theme selector.
      Specified by:
        `getTheme` in interface `ThemeManager`
      Returns:

    - #### getTheme

          public Theme getTheme(String name,
                                Theme.Type type)

      Description copied from interface: `ThemeManager`
      Returns the specified theme for the specified type.
      Specified by:
        `getTheme` in interface `ThemeManager`
      Returns:

    - #### nameSet

          public Set<String> nameSet(Theme.Type type)

      Description copied from interface: `ThemeManager`
      Returns a set of all theme names for the specified type.
      Specified by:
        `nameSet` in interface `ThemeManager`
      Returns:

    - #### isCacheEnabled

          public boolean isCacheEnabled()

      Specified by:
        `isCacheEnabled` in interface `ThemeManager`

    - #### clearCache

          public void clearCache()

      Specified by:
        `clearCache` in interface `ThemeManager`

Copyright © 2021 JBoss by Red Hat. All rights reserved.